# eric4.Preferences.ConfigurationPages.ShellPage

Module implementing the Shell configuration page.

### Classes

ShellPage | Class implementing the Shell configuration page.

### Functions

create | Module function to create the configuration page.

## ShellPage

Class implementing the Shell configuration page.

### Derived from

ConfigurationPageBase, Ui_ShellPage

### Methods

ShellPage | Constructor
save | Public slot to save the Shell configuration.

#### ShellPage (Constructor)

ShellPage()

Constructor

#### ShellPage.save

save()

Public slot to save the Shell configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Up